dbus-send(1)

NAME
dbus-send - Send a message to a message bus

SYNOPSIS

dbus-send [--system | --session] [--dest=NAME] [--print-reply] [--type=TYPE] <destination object path> <message name> [contents ...]

DESCRIPTION
The dbus-send command is used to send a message to a D-Bus message bus. See http://www.freedesktop.org/software/dbus/ for more information about the big picture.

There are two well-known message buses: the systemwide message bus (installed on many systems as the "messagebus" service) and the per-user-login-session message bus (started each time a user logs in). The --system and --session options direct dbus-send to send messages to the system or session buses respectively. If neither is specified, dbus-send sends to the session bus.

Nearly all uses of dbus-send must provide the --dest argument which is the name of a connection on the bus to send the message to. If --dest is omitted, no destination is set.

The object path and the name of the message to send must always be specified. Following arguments, if any, are the message contents (message arguments). These are given as a type name, a colon, and then the value of the argument. The possible type names are: string, int32, uint32, double, byte, boolean. (D-Bus supports more types than these, but dbus-send currently does not.)

Here is an example invocation:
  dbus-send --dest='org.freedesktop.ExampleName            \
            /org/freedesktop/sample/object/name              \
            org.freedesktop.ExampleInterface.ExampleMethod   \
            int32:47 string:'hello world' double:65.32
Note that the interface is separated from a method or signal name by a dot, though in the actual protocol the interface and the interface member are separate fields.

OPTIONS
The following options are supported:

--dest=NAME
    Specify the name of the connection to receive the message.

--print-reply
    Block for a reply to the message sent, and print any reply received.

--system
    Send to the system message bus.

--session
    Send to the session message bus. (This is the default.)

--type=TYPE
    Specify "method_call" or "signal" (defaults to "signal").

AUTHOR
dbus-send was written by Philip Blundell.

BUGS
Please send bug reports to the D-Bus mailing list or bug tracker, see http://www.freedesktop.org/software/dbus/